QGIS Application - Bug report #340
the horizontal slider not visible atfter 1st zoom in portrait orientation
2006-10-10 01:35 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category:

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10399
Description

1. add some layer

2. Map Composer

3. orientation: portrait

4. Add new map

5. Zoom in (once)

The horizontal slider is not visible while it is necessary for me to be able to view the part of the map to the right.

Maciek

History

#1 - 2006-10-13 04:42 PM - Gavin Macaulay -

Works for me. What version of Qt are you using (this is given in the Help:About box)?

#2 - 2006-10-15 04:53 AM - Redmine Admin

Qgis built and running against QT 4.1.4 built from Trolltech's source.

The bug is there, but it's a bit more complicated than | tought. See the attached screen dumps.

full.png - OK

zoomin_once.png - no horizontal slider after a single zoom-in

zoomin_once_smaller.png - same situation, but the window is smaller. The slider is there now (OK), but as you can see you can't slide to the very right side

of the map.

#3 - 2006-10-21 06:12 PM - Gavin Macaulay -

I've spent quite a bit of time trying to find the problem here, but to no avail. The problem is somewhat obscure and seems to be related in someway to the

scrollbar sizes being determined by reference to the overall page view frame size rather than the page view size, and leads to the work-around:
resize the print composer window so that the view of the page fills the frame that it sits in (i.e., change the size of the overall window, click on the zoom all
button, and continue to do that until there is an even amount of grey around the page), then zoom in, the scroll bars will let you scroll to pretty much all of

the page.

#4 - 2006-12-06 05:48 PM - Martin Dobias
- Resolution set to fixed
- Status changed from Open to Closed

The problem here is not that obscure. It's caused by translation of coordinates in canvas view with world matrix used for centering the page in canvas -
[[QgsComposer]]::zoomFull(). However later this translation doesn't change - scrollbars are correct, only the drawing is still shifted.

Fixed in commit:e29bbeba (SVN r6198).

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

full.png 14.3 KB 2006-10-15 anonymous -
zoomin_once.png 13.9 KB 2006-10-15 anonymous -
zoomin_once_smaller.png 12.7 KB 2006-10-15 anonymous -
